/*================================ Bright Star Catalogue ====================================
Je cite ici l'article de Wikipedia (version 13 fevrier 2010):

Le Bright Star Catalogue (BSC), le Catalogue des etoiles brillantes, 
appele egalement Yale Catalogue of Bright Stars ou Yale Bright Star Catalogue, 
est un catalogue d'etoiles qui liste toutes les etoiles de magnitude inferieure ou egale 6,5, 
ce qui correspond en gros Ã  toutes les etoiles visibles Ã  l'Åil nu. 
Sa 5e edition est actuellement disponible en ligne sur plusieurs sites. 
Bien que l'abreviation du catalogue soit BS ou YBS, les citations des etoiles listees 
dans le catalogue utilisent HR avant le numero d'ordre, d'aprÃšs le nom de son predecesseur, 
le Harvard Revised Photometry Catalogue cree en 1908 par l'observatoire de Harvard.
==============================================================================================*/

#ifndef __BSC_CATALOGUE_H__
#define __BSC_CATALOGUE_H__

#include <stdint.h>
#include "QString"

/*
class BSCrec  
{
// partie privee (par defaut)
public:
// partie publique
	int32_t hd,hr,ar,de;// 4*32 = 	128 bits = 16 octets
	int16_t	pmar,pmde;	// 2*16 =  	 32 bits =  4 octets
	int16_t mv,b_v;		// 2*16 =  	 32 bits =  4 octets
	char cons[3];		// 3*8 = 	 24 bits =  3 octets
	uint8_t flam;		// 			  8 bits =  1 octets
	char bayer[4];		// 4*8 = 	 32 bits =  4 octets
	char sp[20];		// 20*8 = 	160 bits = 20 octets
	
	void init();
};	
// total data = 52 octets

*/
	
	
struct BSCrec 
{
	float		ra,de;		//	en degres (d'angle) decimaux	 8
	float		mv;			//	magnitude visuelle				 4	
//	uint32_t		ra,de;		//	en degres (d'angle) decimaux	 8
//	uint32_t		mv;			//	magnitude visuelle				 4	
	
    uint32_t	hd;			//	num HD							 4	
    uint32_t	hr;			//	num HR							 4
    char 		cstl[3+1];	//	constellation					 3
    char 		bayer[4+1];	//	lettre de bayer					 4
  	char 		sp[16+1];		//	classe spectrale				16	
   							// 					total			43 octets		
};	
/*
- hd	: numero du catalogue HD
- hr	: numero du catalog HR
- ar	: ascention droite J2000 en degres decimaux
- de	: declinaison J2000 en degres decimaux
- mv	: magnitude visuelle
- cstl	: constelation
- bayer	: lettre de Bayer
- sp	: classe spectrale	
*/
	
int getBSC(QList<BSCrec> *liste_etoiles_BSC, QString FileName);


#endif // __BSC_CATALOGUE_H__
