#include "strings628.h"
#include <QStringList>

QStringList lettres_grecques = (QStringList() << "alpha" << "beta" << "gamma" <<"delta"<<"epsilon"<<"zeta"<<"eta"
<<"theta"<<"iota"<<"kappa"<<"lamda"<<"mu"<<"nu"<<"xi"<<"omicron"<<"pi "<<"rho"<<"sigma"<<"tau"<<"upsilon"<<"phi"
<<"chi"<<"psi"<<"omega");

QStringList abrev_ltr_grecques = (QStringList() <<"Alp"<<"Bet"<<"Gam"<<"Del"<<"Eps"<<"Zet"<<"Eta"
<<"The"<<"Iot"<<"Kap"<< "Lam"<< "Mu"<<"Nu"<<"Xi"<<"Omi"<< "Pi"<<"Rho"<< "Sig"<<"Tau"<<"Ups"<<"Phi"
<<"Chi"<<"Psi"<<"Ome");

int liste_codes_ltr_grecques_minus[24] ={945,946,947,948,949,950,951,952,953,954,955,956,957,958,959,960,961,963,
964,965,966,967,968,969};	// codage unicode des lettres (minuscules) de l'alphabet grec


int code_grec(QString abrev)
//retourne le code UTF8 du caractere representant la lettre grecque en fonction de son abreviation 
{ 
	int p = abrev_ltr_grecques.indexOf(abrev);
	if (p != -1) 
	{
		return liste_codes_ltr_grecques_minus[p];
	}
	else return -1;
}


void removeCaractere(char car_i, QString *s1)
//ote tous les caracteres "car-i" du string
{
	QString s;
	int p;

	s=*s1;
	do	{
		p=s.indexOf(car_i);
		if (p!= -1) {s.remove(p, 1);}
		} while (p!= -1);
	*s1=s;
}


QString nb_secondes2txt_hms (long nb_secondes)
// en entree: un nombre de secondes
// en sortie: un texte de la forme "18:32:45" (hh:mm:ss)
{
	QString txt_h, txt_mn, txt_s, signe_d;	

	if 	(nb_secondes > 324000) {nb_secondes = 324000 -nb_secondes;} // ce qui donne un nombre negatif
		
	if 	(nb_secondes<0)
	{
		nb_secondes= -nb_secondes;
		signe_d = "-";
	} else {signe_d = "";}
	
	int h = nb_secondes / 3600;
  	int R1 = nb_secondes % 3600;	//modulo
  	int mn = R1 / 60;
  	int s = R1 % 60;
  	
  	txt_h.setNum(h);	// conversion num -> texte
  	txt_mn.setNum(mn);	// conversion num -> texte  	
  	txt_s.setNum(s);	// conversion num -> texte  	
  	return signe_d + txt_h + ":" + txt_mn + ":" + txt_s;
}